/*
 *
 *
 *    Resea (api/io.c)
 *    Mafice <mafice@mflabo.net>
 *
 *
 */

#include <stdbool.h>
#include <Resea/types.h>
#include <Resea/abi.h>



/*
*  Function: out8
*
*    OUT命令を実行する
*
*  Parameters:
*
*    dest -  送信先
*    data -  データ
*
*  Returns:
*
*    なし
*
*/

void out8 (PORT_t dest, u8 data){


  asm_out8(dest, data);

  return;
}




/*
*  Function: in8
*
*    IN命令を実行する
*
*  Parameters:
*
*    src -  受信元
*
*  Returns:
*
*    受信したデータ
*
*/

u8 in8 (PORT_t src){


  return asm_in8(src);
}

