;
;
;
;    Resea (x86/intHandler.asm)
;    Mafice <mafice@mflabo.net>
;
;
;

[bits 32]


;
;  Function: asm_intNE2000Handler
;
;    ネットワークカードハンドラ
;
;  Parameters:
;
;    なし
;
;  Returns:
;
;    なし
;

global asm_intNE2000Handler
extern intNE2000Handler
asm_intNE2000Handler:
cli

pushad

call intNE2000Handler

mov  al,   0x63
out  0xa0, al
mov  al,   0x62
out  0x20, al

popad

iretd




;例外ハンドラを作るマクロ
%macro make_asm_exception 1
  global asm_exception%1
  extern exception%1

 asm_exception%1:
  cli

  mov ax, 0x10
  mov ds, ax
  mov es, ax

  push dword [esp]
  call exception%1
  add  esp, 4

  iretd
%endmacro



;例外ハンドラ
make_asm_exception 0
make_asm_exception 1
make_asm_exception 2
make_asm_exception 3
make_asm_exception 4
make_asm_exception 5
make_asm_exception 6
make_asm_exception 7
make_asm_exception 8
make_asm_exception 9
make_asm_exception 10
make_asm_exception 11
make_asm_exception 12
make_asm_exception 13
make_asm_exception 14
make_asm_exception 15
make_asm_exception 16
make_asm_exception 17
make_asm_exception 18
make_asm_exception 19

